
#include <avr/pgmspace.h>      //save SRAM by putting strings in FLASH
#include <SoftwareSerial.h>
#include "shieldA_lib.h"
#include "MemoryFree.h"


//-----------------------------------------------------------------------------
// GLOBALS --------------------------------------------------------------------
//-----------------------------------------------------------------------------

unsigned long time;                //program run time

void debug2(String cmd, int ret) {
  debug_print ( cmd,                    LEVEL_DEBUG, 1, 1 );
  debug_printP( PSTR("---> CMD RET --->: "), LEVEL_DEBUG, 1, 0 );
  debug_print ( String(ret),            LEVEL_DEBUG, 0, 1);
  util_printBuffer();
}


//-----------------------------------------------------------------------------
// SETUP ----------------------------------------------------------------------
//-----------------------------------------------------------------------------

void setup() {
  mySerial.begin(115200);
  mySerial.println("");

  glob_debug = 5;                  //Override global debug print level 

  cmd_setup();                     //set-up shield GPIO
  cmd_power();                     //power on
  cmd_connection();                //check cellular connection
}


//-----------------------------------------------------------------------------
// LOOP -----------------------------------------------------------------------
//-----------------------------------------------------------------------------

int ret;

void loop() {
    
  //DEBUG LOOP STATEMENT
  debug_printP( PSTR("--- LOOP ---"),  LEVEL_DEBUG, 1, 1 );

  util_time();
  
  //DEBUG FREE MEMORY - (A VALUABLE RESOURCE!!!... which is why we're using PROGMEM)
  debug_printP( PSTR("FREE MEMORY()="), LEVEL_DEBUG, 1, 0 );
  debug_print( String(freeMemory()),    LEVEL_DEBUG, 0, 1 );
  
  //-----
  
  //BASIC SMS
  util_time();
  debug_print ( "SMS",                  LEVEL_DEBUG, 1, 1 );
  ret = at_sms("+12223334444", "20140905 1:00am testing sms");
  debug2 ("SMS", ret);
  util_clearBuffer();


  delay(60000);
}

